package helper

// ExcelDateToUnix will convert a Excel float64 timestamp into a unix timestamp
func ExcelDateToUnix(excelTimestamp float64) int64 {
	// We use a very simple method to convert an excel date (Starts 1.1.1990 (unix starts at 1.1.1970))
	// https://stackoverflow.com/a/15137090/11885414
	// https://stackoverflow.com/a/70389039/11885414

	// We can also use a lib if we want to be 100% sure
	// https://pkg.go.dev/github.com/xuri/excelize/v2#ExcelDateToTime

	unix := (excelTimestamp - 25569) * 86400

	return int64(unix)
}
